USTIR(4)

NAME
ustir - SigmaTel STIr4200-based USB-IrDA bridge support

SYNOPSIS
ustir* at uhub?
irframe* at ustir?

DESCRIPTION
The ustir driver provides support for USB-IrDA bridges based on the SigmaTel STIr4200. The driver is known to work with the following adapters:

Mars II 740 USB IrDA Adapter

Access to the IrDA device is through the irframe(4) driver.

SEE ALSO
irframe(4), uirda(4), usb(4)

HISTORY
The ustir driver appeared in NetBSD 1.6.

AUTHORS
The ustir driver was written by David Sainty <dsainty@NetBSD.org>.

BUGS
The STIr4200 cannot notify the driver when it has received data, instead it has to be continuously polled. This driver polls (when idle) at a fairly low rate of 10 times per second, which means that system performance is not overly affected by rapid polling, but latency is fairly high.